com.google.cloud.dataflow.sdk.runners

## Class AggregatorValues<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.AggregatorValues<T>

Type Parameters:
  `T` - the output type of the aggregator

    public abstract class AggregatorValues<T>
    extends Object

A collection of values associated with an `Aggregator`. Aggregators declared in a `DoFn` are emitted on a per-`DoFn`-application basis.

### Constructor Summary

Constructors
Constructor and Description
`AggregatorValues()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`T` `getTotalValue(Combine.CombineFn<T,?,T> combineFn)` Get the total value of this `Aggregator` by applying the specified `Combine.CombineFn`.
`Collection<T>` `getValues()` Get the values of the `Aggregator` at all steps it was used.
`abstract Map<String,T>` `getValuesAtSteps()` Get the values of the `Aggregator` by the user name at each step it was used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AggregatorValues

    public AggregatorValues()

### Method Detail

#### getValues

    public Collection<T> getValues()

Get the values of the `Aggregator` at all steps it was used.

#### getValuesAtSteps

    public abstract Map<String,T> getValuesAtSteps()

Get the values of the `Aggregator` by the user name at each step it was used.

#### getTotalValue

    public T getTotalValue(Combine.CombineFn<T,?,T> combineFn)

Get the total value of this `Aggregator` by applying the specified `Combine.CombineFn`.